Page MenuHomePhabricator

Invalid URLs can be added as external links using the link inspector
Closed, ResolvedPublic

Description

When adding an external link using the link inspector, you are allowed to paste anything and a link gets generated.
We may need to:

  • Validate that the text is a valid URL.
  • Provide some extent of flexible input: adding "http://" at the beginning, encoding invalid characters such as space, etc.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 2:16 PM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Jul 23 2015, 5:58 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:47 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 9:37 AM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:40 PM
Arrbee closed this task as Resolved.Jun 10 2019, 2:49 PM
Arrbee claimed this task.